aboutsummaryrefslogtreecommitdiffstats
path: root/packages/dhcp-forwarder/files
diff options
context:
space:
mode:
Diffstat (limited to 'packages/dhcp-forwarder/files')
-rw-r--r--packages/dhcp-forwarder/files/.mtn2git_empty0
-rw-r--r--packages/dhcp-forwarder/files/dhcp-fwd.cfg3
-rw-r--r--packages/dhcp-forwarder/files/init25
3 files changed, 28 insertions, 0 deletions
diff --git a/packages/dhcp-forwarder/files/.mtn2git_empty b/packages/dhcp-forwarder/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/dhcp-forwarder/files/.mtn2git_empty
diff --git a/packages/dhcp-forwarder/files/dhcp-fwd.cfg b/packages/dhcp-forwarder/files/dhcp-fwd.cfg
index e69de29bb2..5977542cd4 100644
--- a/packages/dhcp-forwarder/files/dhcp-fwd.cfg
+++ b/packages/dhcp-forwarder/files/dhcp-fwd.cfg
@@ -0,0 +1,3 @@
+chroot /
+logfile /var/log/dhcp-fwd.log
+pidfile /var/run/dhcp-fwd.pid
diff --git a/packages/dhcp-forwarder/files/init b/packages/dhcp-forwarder/files/init
index e69de29bb2..ca3b4568c0 100644
--- a/packages/dhcp-forwarder/files/init
+++ b/packages/dhcp-forwarder/files/init
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+#$Header: /data/cvs/mtx/system/dhcp-forwarder/ipkg/etc/init.d/dhcp-fwd,v 1.1 2004/04/21 08:42:05 ml Exp $
+
+CONFFILE=/etc/dhcp-fwd.cfg
+DAEMON=/usr/sbin/dhcp-fwd
+
+case "$1" in
+ start)
+ start-stop-daemon -S -x $DAEMON -- -c $CONFFILE
+ ;;
+ stop)
+ start-stop-daemon -K -x $DAEMON
+ ;;
+ restart | force-reload)
+ $0 stop
+ sleep 2
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0